#include "GeneratorDrivenActor.h"
#include "UObject/NoExportTypes.h"

class UObject;
class ADBDPlayer;

void AGeneratorDrivenActor::SetSpawnedObject(UObject* spawnedObject, int32 generatorId)
{

}

void AGeneratorDrivenActor::Multicast_GeneratorRepairedBySurvivor_Implementation(ADBDPlayer* repairingSurvivor, int32 generatorId)
{

}

void AGeneratorDrivenActor::Multicast_ActivationChecked_Implementation(bool activated, bool isAutoCompleted, int32 generatorId)
{

}

bool AGeneratorDrivenActor::IsValidGeneratorId(int32 generatorId) const
{
	return false;
}

bool AGeneratorDrivenActor::IsActivated(int32 generatorId) const
{
	return false;
}

FRandomStream AGeneratorDrivenActor::GetSharedTileRandomizer()
{
	return FRandomStream{};
}

void AGeneratorDrivenActor::Authority_CheckGeneratorRepairedBySurvivor(ADBDPlayer* repairingSurvivor, int32 generatorId)
{

}

void AGeneratorDrivenActor::Authority_CheckActivation(bool isAutoCompleted, int32 generatorId)
{

}

AGeneratorDrivenActor::AGeneratorDrivenActor()
{
	this->LightPriority = 0.000000;
	this->TargetMobileLightMobility = EComponentMobility::Static;
}
